vim.loader.enable()
local lazypath = vim.fn.stdpath 'data' .. '/lazy/lazy.nvim'
if not vim.loop.fs_stat(lazypath) then
	vim.fn.system {
		'git',
		'clone',
		'--filter=blob:none',
		'--single-branch',
		'https://github.com/folke/lazy.nvim.git',
	lazypath,
	}
end
vim.opt.runtimepath:prepend(lazypath)
vim.api.nvim_create_autocmd('User', {
	pattern = 'LazyVimStarted',
	callback = function()
	require 'config.mappings'
	require 'config.autocmd'
	require 'feline'
	require 'nvim-treesitter'
	require 'noice'
	end,
})

require 'config.settings'
require 'config.lazy'
vim.cmd 'colorscheme neogruber'
